Redmine - Defect #28502
Support issue[assigned_to_id]=me when prefilling issues
2018-04-08 10:32 - Ceesjan Luiten

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed Affected version:

Description

Current situation

This works:

- http://demo.redmine.org/issues.xml?assigned to id=me shows all issues assigned my account

- http://demo.redmine.org/issues/new?issue[assigned to id]=336461 create a new ticket, assigned to account 336461
This does not work:

- http://demo.redmine.org/issues/new?issue[assigned to id]=me create a new issue, assigned to my account. Note the selected
assignee dropdown is empty

Desired situation

We can use issue[assigned_to_id]=me as part of the prefilling of issues as well.

Associated revisions

Revision 17964 - 2019-03-15 10:37 - Jean-Philippe Lang

Support issue[assigned_to_id]=me when prefilling issues (#28502).

Patch by Mizuki ISHIKAWA.

History

#1 - 2018-06-08 08:30 - Mizuki ISHIKAWA

- File change_me_to_usable.patch added

| wrote a patch that implements this feature.

This also works in the REST API: * /issues.xml?assigned_to_id=me

| think that "me" should be available for "issues/new”.

#2 - 2018-06-08 10:54 - Go MAEDA

- Category set to Issues

#3 - 2018-06-10 05:42 - Go MAEDA

- Status changed from New to Needs feedback

| think it would be even better if PUT supports 'assigned_to_id=me'". After applying the patch, GET and POST API requests support
'assigned_to_id=me' but only PUT does not.
Would you update the patch?

Action 3.4-stable with the patch
GET /issues.json OK OK
POST /issues.json - OK

PUT /issue/1.json -

#4 - 2018-06-23 04:31 - Go MAEDA

- Target version set to Candidate for next major release

#5 - 2018-06-25 02:42 - Mizuki ISHIKAWA

- File change_me_to_usable_in_edit_and_update.patch added

Thank you for your feedback.

By adding change_me_to_usable_in_edit_and_update.patch in addition to change_me_to_usable.patch, you should be able to support to PUT

actions.

#6 - 2018-06-25 02:44 - Mizuki ISHIKAWA

- File change_me_to_usable_in_edit_and_update v2.patch added

| changed change_me_to_usable_in_edit_and_update.patch a bit.

#7 - 2018-07-06 12:24 - Go MAEDA

- Status changed from Needs feedback to New

#8 - 2018-08-19 06:51 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

#9 - 2019-03-15 10:37 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks!
